Bug 784769 - Review Request: ghc-transformers-base - Haskell monad transformer lifting library
Review Request: ghc-transformers-base - Haskell monad transformer lifting lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-monad-control
  Show dependency treegraph
 
Reported: 2012-01-26 02:53 EST by Jens Petersen
Modified: 2012-03-17 19:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-transformers-base-0.4.1-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-08 23:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-01-26 02:53:28 EST
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-transformers-base/ghc-transformers-base.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-transformers-base/ghc-transformers-base-0.4.1-1.fc16.src.rpm
Description: 
A library for lifting computations from the bottom of a transformer stack.
This package provides a straightforward port of monadLib's BaseM typeclass to transformers.

This is needed by the monad-control library, which is a dependency of git-annex, conduit, etc.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3733935
Comment 2 Ben Boeckel 2012-03-01 01:24:45 EST
Taken.
Comment 3 Ben Boeckel 2012-03-01 01:53:51 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.

Uses ghc_arches

[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/boeckb/misc/code/review/784769/transformers-base-0.4.1.tar.gz :
  MD5SUM this package     : bd99282e2daae5eecd1c953b7b77c990
  MD5SUM upstream package : bd99282e2daae5eecd1c953b7b77c990

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.

Approved.
Comment 4 Jens Petersen 2012-03-01 03:36:29 EST
Thank you for reviewing

New Package SCM Request
=======================
Package Name: ghc-transformers-base
Short Description: Haskell monad transformer lifting library
Owners: petersen
Branches: f17 f16 f15 el6
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2012-03-01 21:20:03 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-03-02 00:14:11 EST
ghc-transformers-base-0.4.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-transformers-base-0.4.1-1.fc16
Comment 7 Fedora Update System 2012-03-02 00:14:21 EST
ghc-transformers-base-0.4.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-transformers-base-0.4.1-1.fc15
Comment 8 Fedora Update System 2012-03-02 00:14:29 EST
ghc-transformers-base-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-transformers-base-0.4.1-1.fc17
Comment 9 Fedora Update System 2012-03-05 15:54:33 EST
ghc-transformers-base-0.4.1-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-03-08 23:56:22 EST
ghc-transformers-base-0.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-03-17 19:45:43 EDT
ghc-transformers-base-0.4.1-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2012-03-17 19:54:44 EDT
ghc-transformers-base-0.4.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.